const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const job_chemical_usages = sequelize.define(
    'job_chemical_usages',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

quantity_used: {
        type: DataTypes.DECIMAL,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  job_chemical_usages.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity















//end loop



    db.job_chemical_usages.belongsTo(db.job_logs, {
      as: 'job_log',
      foreignKey: {
        name: 'job_logId',
      },
      constraints: false,
    });

    db.job_chemical_usages.belongsTo(db.chemical_products, {
      as: 'chemical_product',
      foreignKey: {
        name: 'chemical_productId',
      },
      constraints: false,
    });




    db.job_chemical_usages.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.job_chemical_usages.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return job_chemical_usages;
};


